Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.util
Class RequestProcessorCache

    java.lang.Object
      org.modeshape.connector.store.jpa.util.RequestProcessorCache

    @NotThreadSafe
    public class RequestProcessorCache

extends Object

Represents a cache of the known node information, including a node's actual `Location` and the complete set of children.

Nested Class Summary
`class` | `RequestProcessorCache.WorkspaceCache`

Field Summary
`protected PathFactory` | `pathFactory`

Constructor Summary
`RequestProcessorCache(PathFactory pathFactory)`

Method Summary
`void` | `addNewNode(Long workspaceId, Location location)`
`void` | `clear(Long workspaceId)`
`LinkedList<Location>` | `getAllChildren(Long workspaceId, Path parent)`
`Location` | `getLocationFor(Long workspaceId, Path node)`
`String` | `getString(NamespaceRegistry namespaces)`
`boolean` | `moveNode(Long workspaceId, Location oldLocation, int oldIndexInParent, Location newLocation)`
`boolean` | `removeBranch(Long workspaceId, Iterable<Location> locations)`
`void` | `setAllChildren(Long workspaceId, Path parent, LinkedList<Location> children)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pathFactory

    protected final PathFactory pathFactory

Constructor Detail

### RequestProcessorCache

    public RequestProcessorCache(PathFactory pathFactory)

Method Detail

### getLocationFor

    public Location getLocationFor(Long workspaceId,
                                   Path node)

### addNewNode

    public void addNewNode(Long workspaceId,
                           Location location)

### clear

    public void clear(Long workspaceId)

### getAllChildren

    public LinkedList<Location> getAllChildren(Long workspaceId,
                                               Path parent)

### setAllChildren

    public void setAllChildren(Long workspaceId,
                               Path parent,
                               LinkedList<Location> children)

### moveNode

    public boolean moveNode(Long workspaceId,
                            Location oldLocation,
                            int oldIndexInParent,
                            Location newLocation)

### removeBranch

    public boolean removeBranch(Long workspaceId,
                                Iterable<Location> locations)

### getString

    public String getString(NamespaceRegistry namespaces)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.